Loading...
Searching...
No Matches
arch_ops Struct Reference

## Data Fields

kdump_status(* | init )(kdump_ctx_t *)
| Initialize any arch-specific data.
kdump_status(* | process_prstatus )(kdump_ctx_t *, const void *, size_t)
| Process an NT_PRSTATUS note.
kdump_status(* | process_xen_prstatus )(kdump_ctx_t *, const void *, size_t)
| Process a Xen .xen_prstatus section.
kdump_status(* | post_ostype )(kdump_ctx_t *ctx)
| OS type post-hook.
kdump_status(* | post_addrxlat )(kdump_ctx_t *ctx)
| Address translation post-hook.
void(* | attr_cleanup )(struct attr_dict *dict)
| Clean up attribute hooks.
void(* | cleanup )(struct kdump_shared *)
| Clean up any arch-specific data.

## Field Documentation

## attr_cleanup

void(* arch_ops::attr_cleanup) (struct attr_dict *dict)

Clean up attribute hooks.

Parameters

  dict | Attribute dictionary.

## post_addrxlat

kdump_status(* arch_ops::post_addrxlat) (kdump_ctx_t *ctx)

Address translation post-hook.

Parameters

  ctx | Dump file object.

Returns
  Status code.

This routine is called whenever address translation is (re-)initialized to allow arch-specific adjustments to the translation system (e.g. phys_base recalculation).

## post_ostype

kdump_status(* arch_ops::post_ostype) (kdump_ctx_t *ctx)

OS type post-hook.

Parameters

  ctx | Dump file object.

Returns
  Status code.

This hook is called after the OS type is changed to allow arch-specific initialization (e.g. read OS_INFO on s390x).

The documentation for this struct was generated from the following file:

- src/kdumpfile/kdumpfile-priv.h